

export const tableList: any[] = [
  {
    selectedDeptId: 23,
    name: 'text',
    database: 'customerdb',
    tableType:'ORC',
    creationTime: '2019/11/17 10:34:48',
    updateTime: '2019/11/17 11:17:00',
    owner: 'admin',
    sql:
        'CREATE TABLE `customerdb.customertable`{\n' +
        '   `ID` STRING COMMENT `用户ID`NOT NULL,\n' +
        '   `name` VARCHAR(255) COMMENT `姓名`,\n' +
        '} COMMENT `客户信息表`\n' +
        'PARTITIONED BY RANGE {\n' +
        '   `phone` STRING,\n' +
        '   `email` VARCHAR(255),\n' +
        '}\n'+
        'CLUSTERED BY (`ID`) INTO 3 BUCKETS\n'+
        'STORED AS ORC;'
  },

];

export const fieldConfigurationList: any[] = [
  {
    fieldChineseName: '用户ID',
    fieldEnglishName: 'ID',
    tableType: 'string',
    fieldType: '',
    fieldAccuracy: '',

  },
  {

    fieldChineseName: '姓名',
    fieldEnglishName: 'name',
    tableType: 'varchar',
    fieldType: '255',
    fieldAccuracy: '',
  },
  {
    fieldChineseName: '手机号',
    fieldEnglishName: 'phone',
    tableType: 'string',
    fieldType: '',
    fieldAccuracy: '',
  },

];

export const treeDataList = [
  {
    name: '自助建表文件',
    selectedDeptId: 21,
    children: [
      {selectedDeptId: 23 },

    ],
  },

];
